Index: trunk/src/ProcessManagement/ProcessManagement/Forms/ZMenu/FrmMenu.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/Forms/ZMenu/FrmMenu.cs	(revision 7)
+++ trunk/src/ProcessManagement/ProcessManagement/Forms/ZMenu/FrmMenu.cs	(revision 8)
@@ -80,9 +80,9 @@
         /// </summary>
         SalesGraph,
         /// <summary>
-        /// tabPage13:参考資料
+        /// tabPage13:増減工事案件
         /// </summary>
-        ReferenceData,
+        FluctuationProjects,
         /// <summary>
         /// tabPage14:非受注工事
         /// </summary>
@@ -174,65 +174,69 @@
             /// </summary>
             ConstructionProjects,
             /// <summary>
-            /// 8:非受注工事
+            /// 8:増減工事案件
             /// </summary>
+            FluctuationProjects,
+            /// <summary>
+            /// 9:非受注工事
+            /// </summary>
             NonOrders,
             /// <summary>
-            /// 9:完了工事
+            /// 10:完了工事
             /// </summary>
             CompletionOfConstruction,
             /// <summary>
-            /// 10:行動予定
+            /// 11:行動予定
             /// </summary>
             ActionSchedule,
             /// <summary>
-            /// 11:人員配置
+            /// 12:人員配置
             /// </summary>
             StaffAssignment,
             /// <summary>
-            /// 12:売上グラフ
+            /// 13:売上グラフ
             /// </summary>
             SalesGraph,
             /// <summary>
-            /// 13:受注管理
+            /// 14:受注管理
             /// </summary>
             OrderMenu,
             /// <summary>
-            /// 14:施工管理
+            /// 15:施工管理
             /// </summary>
             ConstructionMenu,
             /// <summary>
-            /// 15:請求管理
+            /// 16:資材管理
             /// </summary>
-            BillingMenu,
+            Materials,
             /// <summary>
-            /// 16:各種提出書類
+            /// 17:請求管理
             /// </summary>
-            DocumentsToBeBubmitted,
+            BillingMenu,
             /// <summary>
-            /// 17:総務管理
+            /// 18:総務管理
             /// </summary>
             Affairs,
             /// <summary>
-            /// 18:BOSSマスタ
+            /// 19:各種提出書類
             /// </summary>
+            DocumentsToBeBubmitted,
+            /// <summary>
+            /// 20:BOSSマスタ
+            /// </summary>
             MentenanceMenu,
             /// <summary>
-            /// 19:管理者マスタ
+            /// 21:管理者マスタ
             /// </summary>
             MentenanceMenu1,
             /// <summary>
-            /// 20:所属長マスタ
+            /// 22:所属長マスタ
             /// </summary>
             MentenanceMenu2,
             /// <summary>
-            /// 21:担当者マスタ
+            /// 23:担当者マスタ
             /// </summary>
             MentenanceMenu3,
-            /// <summary>
-            /// 23:資材管理
-            /// </summary>
-            Materials,
         }
         #endregion
 
@@ -253,6 +257,7 @@
                                                                                     {"tabPage10", 10},
                                                                                     {"tabPage11", 11},
                                                                                     {"tabPage12", 12},
+                                                                                    {"tabPage13", 13},
                                                                                     {"tabPage14", 14},
                                                                                     {"tabPage15", 15},
                                                                                     {"tabPage16", 16},
@@ -299,6 +304,11 @@
         private enum MenuGridCount
         {
             ConstructionCode = 0,
+            ConstrNo,
+            ConstrPeriod,
+            ConstrName,
+            ConstrStatus,
+            ConstrApproval,
         }
         #endregion
 
@@ -306,11 +316,11 @@
         /// <summary>
         /// 工事案件加算キー
         /// </summary>
-        private static int s_ConstructionProjectsTotalCode1 = 8;        // 山本組
-        private static int s_ConstructionProjectsTotalCode2 = 1;        // 工事部
-        private static int s_ConstructionProjectsTotalCode3 = 2;        // 営繕部
-        private static int s_ConstructionProjectsTotalCode4 = 3;        // 営業部
-        private static int s_ConstructionProjectsTotalCode5 = 9;        // 企画・設計・リフォーム部
+        private const int s_ConstructionProjectsTotalCode1 = 8;        // 山本組
+        private const int s_ConstructionProjectsTotalCode2 = 1;        // 工事部
+        private const int s_ConstructionProjectsTotalCode3 = 2;        // 営繕部
+        private const int s_ConstructionProjectsTotalCode4 = 3;        // 営業部
+        private const int s_ConstructionProjectsTotalCode5 = 9;        // 企画・設計・リフォーム部
         #endregion
 
         #region 掲示板グリッド初期時表示行数
@@ -728,32 +738,6 @@
         #endregion
 
         #region 掲示板系イベントメソッド
-        #region 業務連絡グリッド更新ボタン
-        /// <summary>
-        /// 業務連絡グリッド更新ボタン
-        /// </summary>
-        /// <param name="sender"></param>
-        /// <param name="e"></param>
-        private void btnReLoadBusinessMsg_Click(object sender, EventArgs e)
-        {
-            // 掲示板データ表示
-            DispMessageBoard((int)FrmMenuTabNameEnum.BusinessMessage);
-        }
-        #endregion
-
-        #region 掲示板グリッド更新ボタン
-        /// <summary>
-        /// 掲示板グリッド更新ボタン
-        /// </summary>
-        /// <param name="sender"></param>
-        /// <param name="e"></param>
-        private void btnReLoadMessage_Click(object sender, EventArgs e)
-        {
-            // 掲示板データ表示
-            DispMessageBoard((int)FrmMenuTabNameEnum.MessageBoard);
-        }
-        #endregion
-
         #region 掲示板頁セルダブルクリック
         /// <summary>
         /// 掲示板頁セルダブルクリック
@@ -823,6 +807,10 @@
         {
             string wrkname = tabMenu.SelectedTab.Name;
             int Tabcount = MenuTabName[wrkname];
+
+            // データコピーボタン非表示
+            btnDataCopyE.Visible = false;
+
             switch (Tabcount)
             {
                 case (int)FrmMenuTabNameEnum.MessageBoard:
@@ -850,6 +838,10 @@
                     DispConstructionProjects();
                     btnDataCopyE.Visible = true;
                     break;
+                case (int)FrmMenuTabNameEnum.FluctuationProjects:
+                    // 工事増減状況一覧表示
+                    DispFluctuationProjects();
+                    break;
                 case (int)FrmMenuTabNameEnum.NonOrders:
                     // 非受注一覧
                     DispNonOrders();
@@ -857,6 +849,7 @@
                 case (int)FrmMenuTabNameEnum.CompletionOfConstruction:
                     // 完了工事一覧
                     DispCompletionOfConstruction();
+                    btnDataCopyE.Visible = true;
                     break;
                 case (int)FrmMenuTabNameEnum.ActionSchedule:
                     // 行動予定一覧
@@ -1040,16 +1033,6 @@
 
         #region 行動予定系イベントメソッド
         /// <summary>
-        /// 行動予定一覧
-        /// </summary>
-        /// <param name="sender"></param>
-        /// <param name="e"></param>
-        private void btnReLoadActionSchedule_Click(object sender, EventArgs e)
-        {
-            // 行動予定一覧
-            DispActionList();
-        }
-        /// <summary>
         /// 行動予定一覧一覧グリッドクリック時処理
         /// </summary>
         /// <param name="sender"></param>
@@ -1273,19 +1256,6 @@
         #endregion
 
         #region 人員配置イベントメソッド
-        #region 最新の状態へボタン押下
-        /// <summary>
-        /// 最新の状態へボタン押下
-        /// </summary>
-        /// <param name="sender"></param>
-        /// <param name="e"></param>
-        private void btnReLoadStaffAssignment_Click(object sender, EventArgs e)
-        {
-            // 再描画
-            DispStaffAssignment(dgvStaffAssignment.FirstDisplayedScrollingColumnIndex);
-        }
-        #endregion
-
         #region 人員配置グリッドクリック
         /// <summary>
         /// 人員配置グリッドクリック
@@ -1961,6 +1931,7 @@
                 {
                     //　交通費及び購入品入力
                     int NowPoint = ClsExcute.NextProcess((int)ClsExcute.ProcessExecuteNo.TAndPCosts);
+                    ClsExcute.ProcControlPara[NowPoint].IntExecParameter.Add(0);    // ダミー
                 }
                 else if (btnKey.Name == "btnConstruction08")
                 {
@@ -2697,96 +2668,14 @@
         /// <param name="e"></param>
         private void numUDConstPro_ValueChanged(object sender, EventArgs e)
         {
-            IOConstructionBaseInfo BaseDB = new IOConstructionBaseInfo();
-            IOMPersonInCharge picDB = new IOMPersonInCharge();
             try
             {
-                long lTotal01 = 0;
-                long lTotal02 = 0;
-                long lDep01 = 0;
-                long lDep02 = 0;
-                long lDep03 = 0;
-                long lDep04 = 0;
-                long lDep05 = 0;
-                
-                if (m_bInitFlg) return;
-
-                // 金額カラム取得
-                int ColPrice = dgvConstructionProjects.ColumnCount - 1;
-                // 期数カラム取得
-                int ColPeriod = 2;
-                foreach (DataGridViewRow wrkRow in dgvConstructionProjects.Rows)
-                {
-                    // 空白行は処理しない
-                    if (CommonMotions.chkObjectIsNull(wrkRow.Cells[ColPeriod].Value)) continue;
-
-                    // 選択期数以外は集計しない
-                    int ConstructionPeriod = CommonMotions.cnvInt(wrkRow.Cells[ColPeriod].Value);
-                    if (numUDConstPro.Value != ConstructionPeriod) continue;
-
-                    // 工事情報を取得する
-                    string strSQL = BaseDB.CreatePrimarykeyString(CommonMotions.cnvInt(wrkRow.Cells[(int)MenuGridCount.ConstructionCode].Value));
-                    ConstructionBaseInfo BaseRec = new ConstructionBaseInfo();
-                    if (!BaseDB.SelectAction(strSQL, ref BaseRec)) continue;
-
-                    // 工事担当名取得
-                    string strConstructor = picDB.CreatePrimarykeyString(BaseRec.ConstructionPersonCode);
-                    PersonInChargeMaster constructorData = new PersonInChargeMaster();
-                    picDB.ClearStruct(ref constructorData);
-                    string constructorname = CommonDefine.s_UndecidedString;
-                    if (picDB.SelectAction(strConstructor, ref constructorData)) constructorname = constructorData.PersonName;
-
-                    // 金額を計算する
-                    long jyutyu = CommonMotions.cnvLong(CommonMotions.cnvString(wrkRow.Cells[ColPrice].Value).Replace("\\", "").Replace("-", ""));
-                    string ConstructionPerson = CommonMotions.cnvString(wrkRow.Cells[6].Value).Trim();
-                    if (BaseRec.ConstructionPersonCode == 0)
-                    {   //  担当者無
-                        lTotal01 += jyutyu;
-                    }
-                    else
-                    {
-                        lTotal02 += jyutyu;
-                        if (constructorData.DepartmentCode == s_ConstructionProjectsTotalCode1)
-                        {          // 山本組
-                            lDep01 += jyutyu;
-                        }
-                        else if (constructorData.DepartmentCode == s_ConstructionProjectsTotalCode2)
-                        {          // 工事部
-                            lDep02 += jyutyu;
-                        }
-                        else if (constructorData.DepartmentCode == s_ConstructionProjectsTotalCode3)
-                        {          // 営繕部
-                            lDep03 += jyutyu;
-                        }
-                        else if (constructorData.DepartmentCode == s_ConstructionProjectsTotalCode4)
-                        {          // 営業
-                            lDep04 += jyutyu;
-                        }
-                        else if (constructorData.DepartmentCode == s_ConstructionProjectsTotalCode5)
-                        {          // 企・設・リフォーム部
-                            lDep05 += jyutyu;
-                        }
-                    }
-                }
-                // 金額表示
-                lblTotal01.Text = @"\" + lTotal01.ToString("#,0") + "-";
-                lblTotal02.Text = @"\" + lTotal02.ToString("#,0") + "-";
-                lblTotal03.Text = @"\" + (lTotal01 + lTotal02).ToString("#,0") + "-";
-                lblDepTotal01.Text = @"\" + lDep01.ToString("#,0") + "-";
-                lblDepTotal02.Text = @"\" + lDep02.ToString("#,0") + "-";
-                lblDepTotal03.Text = @"\" + lDep03.ToString("#,0") + "-";
-                lblDepTotal04.Text = @"\" + lDep04.ToString("#,0") + "-";
-                lblDepTotal05.Text = @"\" + lDep05.ToString("#,0") + "-";
+                ConstructionTotalCalc();
             }
             catch (Exception ex)
             {
                 logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
             }
-            finally
-            {
-                BaseDB.close(); BaseDB = null;
-                picDB.close(); picDB = null;
-            }
         }
         #endregion
 
@@ -2811,47 +2700,6 @@
 
             switch (iMenuIndex)
             {
-                case (int)FrmMenuTabNameEnum.OrderMenu:
-                    // 受注管理
-                    backBrush = new SolidBrush(Color.RoyalBlue);
-                    foreBrush = Brushes.Black;
-                    tab.TabPages[e.Index].BackColor = Color.RoyalBlue;
-                    break;
-                case (int)FrmMenuTabNameEnum.ConstructionMenu:
-                    // 施工管理
-                    backBrush = new SolidBrush(Color.FromArgb(128, 128, 255));
-                    foreBrush = Brushes.Black;
-                    tab.TabPages[e.Index].BackColor = Color.FromArgb(128, 128, 255);
-                    break;
-                case (int)FrmMenuTabNameEnum.BillingMenu:
-                    // 請求管理
-                    backBrush = new SolidBrush(Color.FromArgb(192, 192, 255));
-                    foreBrush = Brushes.Black;
-                    tab.TabPages[e.Index].BackColor = Color.FromArgb(192, 192, 255);
-                    break;
-                case (int)FrmMenuTabNameEnum.MentenanceMenu:
-                    // BOSSマスタ
-                    backBrush = new SolidBrush(Color.Blue);
-                    foreBrush = Brushes.White;
-                    tab.TabPages[e.Index].BackColor = Color.Blue;
-                    break;
-                case (int)FrmMenuTabNameEnum.MentenanceMenu1:
-                    // 管理者マスタ
-                    backBrush = new SolidBrush(Color.FromArgb(255, 128, 128));
-                    foreBrush = Brushes.Black;
-                    break;
-                case (int)FrmMenuTabNameEnum.MentenanceMenu2:
-                    // 所属長マスタ
-                    backBrush = new SolidBrush(Color.FromArgb(255, 255, 128));
-                    foreBrush = Brushes.Black;
-                    tab.TabPages[e.Index].BackColor = Color.FromArgb(255, 255, 128);
-                    break;
-                case (int)FrmMenuTabNameEnum.MentenanceMenu3:
-                    // 担当者マスタ
-                    backBrush = new SolidBrush(Color.FromArgb(128, 255, 255));
-                    foreBrush = Brushes.Black;
-                    tab.TabPages[e.Index].BackColor = Color.FromArgb(128, 255, 255);
-                    break;
                 case (int)FrmMenuTabNameEnum.BusinessMessage:
                     // 秘書からの連絡
                     backBrush = new SolidBrush(Color.DarkMagenta);
@@ -2862,6 +2710,30 @@
                     backBrush = new SolidBrush(Color.Red);
                     foreBrush = Brushes.White;
                     break;
+                case (int)FrmMenuTabNameEnum.DocumentApproval:
+                    // 承認処理
+                    backBrush = new SolidBrush(Color.Gold);
+                    foreBrush = Brushes.Black;
+                    break;
+
+                case (int)FrmMenuTabNameEnum.SalesInProjects:
+                    // 工事案件
+                case (int)FrmMenuTabNameEnum.Tenders:
+                    // 入札案件
+                case (int)FrmMenuTabNameEnum.BudgetUpProjects:
+                    // 予算取り案件
+                case (int)FrmMenuTabNameEnum.ConstructionProjects:
+                    // 受注案件
+                case (int)FrmMenuTabNameEnum.FluctuationProjects:
+                    // 増減工事案件
+                case (int)FrmMenuTabNameEnum.NonOrders:
+                    // 非受注工事
+                case (int)FrmMenuTabNameEnum.CompletionOfConstruction:
+                    // 完了工事
+                    backBrush = new SolidBrush(tab.TabPages[e.Index].BackColor);
+                    foreBrush = Brushes.White;
+                    break;
+
                 case (int)FrmMenuTabNameEnum.ActionSchedule:
                     // 行動予定
                     backBrush = new SolidBrush(Color.Yellow);
@@ -2877,35 +2749,37 @@
                     backBrush = new SolidBrush(Color.DarkOrange);
                     foreBrush = Brushes.Black;
                     break;
-                case (int)FrmMenuTabNameEnum.DocumentApproval:
-                    // 書類承認
-                    backBrush = new SolidBrush(Color.Gold);
-                    foreBrush = Brushes.Black;
-                    break;
+
+                case (int)FrmMenuTabNameEnum.OrderMenu:
+                    // 受注管理
+                case (int)FrmMenuTabNameEnum.ConstructionMenu:
+                    // 施工管理
+                case (int)FrmMenuTabNameEnum.BillingMenu:
+                    // 請求管理
+                case (int)FrmMenuTabNameEnum.Affairs:
+                    // 総務管理
                 case (int)FrmMenuTabNameEnum.DocumentsToBeBubmitted:
                     // 各種提出書類
-                    backBrush = new SolidBrush(Color.FromArgb(128, 128, 180));
+                case (int)FrmMenuTabNameEnum.Materials:
+                    // 資材管理
+                    backBrush = new SolidBrush(tab.TabPages[e.Index].BackColor);
                     foreBrush = Brushes.Black;
-                    tab.TabPages[e.Index].BackColor = Color.FromArgb(128, 128, 180);
                     break;
-                case (int)FrmMenuTabNameEnum.Affairs:
-                    // 総務管理
-                    backBrush = new SolidBrush(Color.Chartreuse);
+
+                case (int)FrmMenuTabNameEnum.MentenanceMenu:
+                    // BOSSマスタ
+                    backBrush = new SolidBrush(tab.TabPages[e.Index].BackColor);
+                    foreBrush = Brushes.White;
+                    break;
+                case (int)FrmMenuTabNameEnum.MentenanceMenu1:
+                    // 管理者マスタ
+                case (int)FrmMenuTabNameEnum.MentenanceMenu2:
+                    // 所属長マスタ
+                case (int)FrmMenuTabNameEnum.MentenanceMenu3:
+                    // 担当者マスタ
+                    backBrush = new SolidBrush(tab.TabPages[e.Index].BackColor);
                     foreBrush = Brushes.Black;
-                    tab.TabPages[e.Index].BackColor = Color.Chartreuse;
                     break;
-                case (int)FrmMenuTabNameEnum.Tenders:
-                case (int)FrmMenuTabNameEnum.BudgetUpProjects:
-                case (int)FrmMenuTabNameEnum.SalesInProjects:
-                case (int)FrmMenuTabNameEnum.NonOrders:
-                case (int)FrmMenuTabNameEnum.ConstructionProjects:
-                case (int)FrmMenuTabNameEnum.CompletionOfConstruction:
-                case (int)FrmMenuTabNameEnum.ReferenceData:
-                case (int)FrmMenuTabNameEnum.Materials:
-                    // その他
-                    backBrush = new SolidBrush(Color.Black);
-                    foreBrush = Brushes.White;
-                    break;
             }
 
             //StringFormatを作成
@@ -2950,5 +2824,26 @@
             DispNonOrders();
         }
         #endregion
+
+        #region 増減工事状況期数選択
+        /// <summary>
+        /// 増減工事状況期数選択
+        /// </summary>
+        /// <param name="sender"></param>
+        /// <param name="e"></param>
+        private void numUDConstProF_ValueChanged(object sender, EventArgs e)
+        {
+            try
+            {
+                // 増減工事状況一覧合計金額計算表示
+                FluctuationTotalCalc();
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+        }
+        #endregion
+
     }
 }
